package com.wechi.adweb.bridge.google.analytics.dto.report.data;

import static com.wechi.adweb.bridge.google.analytics.dto.report.ReportConstant.*;

import com.google.analytics.data.v1beta.Row;

import lombok.Builder;
import lombok.Data;

import java.util.List;

/**
 * @author wfansh
 */
@Data
@Builder
public class CountryChartData implements GAReportDataDTO {

    private String country;
    private int totalUsers;

    public static List<CountryChartData> toReport(
            List<Row> reportRows, List<String> metrics, List<String> dimensions) {
        int indexCountry = dimensions.indexOf(DIMENSION_COUNTRY);
        int indexTotalUsers = metrics.indexOf(METRIC_TOTAL_USERS);

        return reportRows.stream()
                .map(
                        row ->
                                CountryChartData.builder()
                                        .country(row.getDimensionValues(indexCountry).getValue())
                                        .totalUsers(
                                                Integer.parseInt(
                                                        row.getMetricValues(indexTotalUsers)
                                                                .getValue()))
                                        .build())
                .toList();
    }
}
