package com.wechi.adweb.bridge.google.gtm.service;

import com.google.common.io.Resources;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

import java.io.IOException;
import java.nio.charset.StandardCharsets;

import javax.annotation.PostConstruct;

/**
 * @author wfansh
 */
@Service
public class SnippetService {

    @Value("${google.gtm.snippet.head.template}")
    private String headSnippetTemplate;

    @Value("${google.gtm.snippet.body.template}")
    private String bodySnippetTemplate;

    private String headSnippetFormat;

    private String bodySnippetFormat;

    @PostConstruct
    private void init() throws IOException {
        headSnippetFormat =
                Resources.toString(
                        this.getClass().getClassLoader().getResource(headSnippetTemplate),
                        StandardCharsets.UTF_8);
        bodySnippetFormat =
                Resources.toString(
                        this.getClass().getClassLoader().getResource(bodySnippetTemplate),
                        StandardCharsets.UTF_8);
    }

    public String getHeadSnippet(String containerPublicId) {
        return String.format(headSnippetFormat, containerPublicId);
    }

    public String getBodySnippet(String containerPublicId) {
        return String.format(bodySnippetFormat, containerPublicId);
    }
}
