package com.wechi.adweb.bridge.util;

import java.math.BigDecimal;
import java.math.RoundingMode;
import java.text.NumberFormat;

/**
 * @author wfansh
 */
public class NumberUtils {

    private static final NumberFormat PERCENTAGE_FORMAT = NumberFormat.getPercentInstance();

    static {
        PERCENTAGE_FORMAT.setRoundingMode(RoundingMode.HALF_UP);
        // No grouping with ',' delimiter.
        PERCENTAGE_FORMAT.setGroupingUsed(false);
    }

    public static BigDecimal formatDecimal(double number, int fractionDigits) {
        BigDecimal decimal = new BigDecimal(number);
        return decimal.setScale(fractionDigits, RoundingMode.HALF_UP);
    }

    public static String formatPercentage(double number, int fractionDigits) {
        PERCENTAGE_FORMAT.setMinimumFractionDigits(fractionDigits);
        PERCENTAGE_FORMAT.setMaximumFractionDigits(fractionDigits);

        return PERCENTAGE_FORMAT.format(number);
    }
}
